&IF DEFINED (TTContactLight) EQ 0 &THEN
    DEFINE TEMP-TABLE ttContactLight NO-UNDO
        FIELDS dContact_obj           LIKE Contact.Contact_obj
        FIELDS dContactType_obj       LIKE Contact.ContactType_obj
        FIELDS szCallout              LIKE Contact.Callout
        FIELDS szDisplayAs            LIKE Contact.DisplayAs
        FIELDS szIdentification       LIKE contact.identification
        FIELDS lActive                LIKE Contact.ACTIVE
        /*FIELDS szStreet AS CHAR
        FIELDS szZip AS CHAR 
        FIELDS szCity AS CHAR  
        FIELDS szCountryCode AS CHAR*/ /* Moved to ttAddress */
        FIELDS szudp                  AS CHAR
        FIELDS iColor                 AS INTEGER
        FIELDS HasActiveFlow          AS LOGICAL
        FIELDS DocBatchObjUsedForFlow AS DECIMAL
        FIELDS dLang                  AS DECIMAL
        FIELDS szVat                  AS CHAR
        FIELDS szVat2                 AS CHAR
        FIELDS szCategories           AS CHAR
        FIELDS szFunction             AS CHAR /* Frlo - 29-03-2010 : Wordt voorlopig nog niet gebruikt omdat prioriteit van organisation er nog niet in zit. */
       /* FIELDS dCountryObjForComm AS DECIMAL  Stry - 18/11/2010 : Gebruikt voor weergave communication ( contact -> topcontact -> userpreference )
                                                svli - 24/01/2011 : verplaatst naar ttcommunication, formattering gaan doen adhv de eerste entry in communication.commvalue (landnummer)
                                                                    aangezien we vananaf nu meerdere adressen opnemen in een apparte temp table */
        FIELDS InFavoriteList         AS LOGICAL  INITIAL FALSE
        FIELDS HasERPEntity           AS LOGICAL  INITIAL FALSE
        INDEX idxObj IS UNIQUE PRIMARY dContact_obj.

    &GLOBAL-DEFINE TTContactLight TRUE.
&ENDIF

&IF DEFINED(TTAddress) EQ 0 &THEN
    DEFINE TEMP-TABLE TTAddress NO-UNDO LIKE Address
        FIELDS szZipCode AS CHAR
        FIELDS szCityName AS CHAR. 

    &GLOBAL-DEFINE TTAddress TRUE.
&ENDIF

&IF DEFINED(TTUdp) EQ 0 &THEN
    DEFINE TEMP-TABLE TTUDP NO-UNDO LIKE UDP
        FIELDS displayvalue AS CHAR. 

    &GLOBAL-DEFINE TTUdp TRUE.
&ENDIF

&IF DEFINED(TTCommunication) EQ 0 &THEN
    DEFINE TEMP-TABLE TTCommunication NO-UNDO LIKE Communication
        FIELDS dCountryObjForTelFormatting AS DECIMAL.

    &GLOBAL-DEFINE TTCommunication TRUE.
&ENDIF


DEFINE DATASET dsContactLight FOR TTContactLight, TTUDP, TTCommunication, TTAddress
    DATA-RELATION relContactUdp FOR TTContactLight, TTUDP RELATION-FIELDS(dContact_obj, Owning_obj)
    DATA-RELATION relContactComm FOR TTContactLight, TTCommunication RELATION-FIELDS(dContact_obj, Contact_obj)
    DATA-RELATION relContactAddress FOR TTContactLight, TTAddress RELATION-FIELDS(dContact_obj, Contact_obj).
